# This package was forked from fedora-release into redhat-release-server into
# redhat-release-atomic-host, then into redhat-release-coreos.
# Be sure to look at changes upstream!

%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define variant_titlecase CoreOS
%define variant_lowercase coreos
%define full_release_version 43.80
%define base_version 8
# Fake this out; we also use 8 here, matching the maipo's use of 7.
%define os_version 8.99
%define point_release_version 4
%define dist .el%{base_version}
%define openshift_release_version 4.3

Name:           redhat-release-coreos
Version:        %{full_release_version}
Release:        %{point_release_version}%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{os_version}-%{release}
Provides:       system-release = %{os_version}-%{release}
# We need to use Server, since there's no RPM content set for anything else
Provides:       system-release(releasever) = %{base_version}Server
# This doesn't exist today, I committed the data to git
Source0:        redhat-release-%{variant_lowercase}-%{full_release_version}.%{point_release_version}.tar.gz

%description
%{summary}

%prep
%setup -q -n redhat-release-%{variant_lowercase}-%{full_release_version}.%{point_release_version}

%build
make fs

%install
rm -rf %{buildroot}
cp -a --reflink=auto fs %{buildroot}

(cd %{buildroot} && find . -type f -o -type l | sed -e 's,^.,/,') > files.list

%files -f files.list
%dir /etc/issue.d

%changelog
* Fri Oct 18 2019 Colin Walters <walters@verbum.org> - 43.80-3.el8.1
- Add OPENSHIFT_VERSION and RHEL_VERSION to `/etc/os-release`

* Tue May 21 2019 Yu Qi Zhang <jerzhang@redhat.com> - 420.8.1
- Initial import for 4.2 branch from 410.8.4 with updated versioning
